The Lexicor Demo
Prepared by Lexicor Software Inc.

How to view FLUTTER.FLM

Simply run the program PLAYER.PRG (make sure that PLAYER.RSC is in
the same folder), click on PLAY, then click on FLUTTER.FLM from
the Fileselector.  Click on OK to start the show.  Pressing [Undo]
will return you to the Player's main screen. 

A Preview of the Phase-4 Animation System

The TinyToy rolls across the floor, frantically  banging his drum
and playing his accordion.  A monster baby totters after him,
gurgling and trailing a long stream of repulsive drool.  The
TinToy scoots under the couch, only to find himself in the company
of dozens of other, frightened toys cowering in the darkness. 
Reflected in the TinyToy's shiny metal head is an image of the
living room.  The floor is hardwood with a deep grain.  The sun
streaming in through the living room window glints off the
crinkled cellophane of the TinyToy's discarded package.  The
monster baby's movements are lifelike;  its drool especially
disgusting.

Though everything appears as real as any movie, none of it has
been near a camera. The Toy and the Baby exist only as numbers
inside a supercomputer. "Tin Toy" was the first computer-animated
film to win an Academy Award.  The Pixar Corporation produced it
using their line of photo-realistic computer graphics products. 
Pixar's hardware and software cost tens of thousands of dollars --
much too expensive for an individual artist or animator to
consider buying for himself.

The Atari ST, on the other hand, is within reach of all but the
most starving of artists.  And now, so is realistic 3D animation.
Although Antic Software's "Cyber" line of three-dimensional
modelling and animation software gave Atari artists a taste  of 3D
graphics, producing animation of any complexity required hours of
programming, and could only be crudely rendered due to the ST's
limited resolution and palette.  Furthermore, the ST was an
"island" in the 3D world, unable to freely exchange objects and
animation files with other, more powerful computers. 
Dissatisfied with these limitations, veteran illustrator Lee
Seiler formed Lexicor Software to produce the next generation of
3D animation products for the Atari.

Lexicor's "Phase-4" family of software, due to be released in
November 1990, will enable a non-technical user to create
animation just as photo-real as "Tin Toy". In keeping with the
Atari philosophy of "Power Without the Price", none of Lexicor's
offerings will cost more than a few hundred dollars.  In fact, an
entire professional system  including a TT computer, a Syquest
removable-cartridge hard drive, Lexicor's custom 24-bit color
board and all the software will cost  around six thousand dollars
--less than the cost of the software  alone for many comparable
workstation-based animation systems, and far less than such a
system would cost on either a PC or Macintosh. Seiler sums up the
philosophy of the Lexicor system:
"It's designed to be used by an individual artist on desktop
hardware. Everything we do is designed for a person who's already
an artist, who wants to use a computer because he wants to get
into that market.  We're not going to teach him how to be an
animator; we're not going to teach him how to be a computer
operator either.  He needs to read the manual, but apart from that
he  needs to know nothing at all about computers."  Lexicor
developer Paul Dana knows a good bit about computers, but he's
also an animator; STart readers may remember him as the creator of
the Cyber Stars accessory and the award-winning animation created
with it.  Paul is now is one of Lexicor's key software developers. 
He explains why Lexicor chose Atari: "I figured the Atari ST was
the very best computer to do animation on.  The hardware on the
Amiga may be better but the operating system isn't.  The PC has
absolutely no consistency in hardware and you have about this much
RAM to work with (he holds his fingers an inch apart), and I
personally can't afford a MacII.  Most people are probably in the
same financial situation I'm in.  Also, the throughput on an Atari
is just amazing.  There's no wait states anywhere.  It pumps
graphics out at ridiculously high speeds."  Dana is writing the
CHRONOS animation program; Atari 3D veterans like Mark Kimball and
Dave Ramsden are working on other applications in the Phase-4
series.  To connect the Atari 3D "island" to the mainland, Lexicor
has developed four inter-related graphics applications and two
hardware products for the ST.

Rosetta-3D

Just as the original Rosetta Stone was the key to translating
Egyptian  hieroglyphics, Rosetta-3D acts as a universal translator
for three dimensional objects.  It not only reads and writes
object files created with CAD-3D or CyberSculpt, but also models
created in most of the popular Macintosh, Amiga, and PC-based 3D
programs.  Using Rosetta-3D, an object created on a Macintosh can
be translated  to CyberSculpt format, manipulated in that program
on an ST, then exported as a DXF file for use in AutoCad on a PC.
In addition, Rosetta can perform simple object manipulations in
wire frame or "point cloud" mode for maximum speed.  Draft
animation can be created a frame at a time in a manner similar to
CAD-3D 2.0 without  Cyber Control.  Creating really serious
sequences, however, requires CHRONOS, Lexicor's key-frame
animator.

CHRONOS

In traditional cartoon animation, a "key" animator draws only
those frames necessary to describe a character's action.  For
example, if Bugs Bunny jumps into his rabbit hole, the key
animator would draw a picture of Bugs crouched to leap, another
picture of the Wascally Wabbit in midair, and perhaps another of
Bugs diving head-first into the hole.  Then another, less
experienced (and less expensive) animator would "in-between" the
sequence, drawing all the intervening frames required to make
Bugs' action seem smooth and fluid.  In a key-frame animation
system on a computer, the animator sets up the key frames of a
sequence, and the computer does the tedious job of in-betweening.
To demonstrate CHRONOS, Seiler creates an animation of a space
ship flying into a black hole, with the camera following on its
own path.  A nightmare to program in the old Cyber Control system,
Seiler does it from scratch in two minutes using CHRONOS.  Working
in wireframe mode, he drags his spaceship model to a point high
above his black hole model.  A wire-frame box indicating the
spaceship's object boundaries moves in real time to indicate
changes of perspective and orientation.  He drags the built-in
camera model to the other edge of the ST's monitor, points it at
the spaceship and sets this as the starting frame of the sequence.
He drags both models to new positions, rotates the spaceship model
slightly to give it a banking motion, then sets another key frame.
He repeats the process three or four more times, until the ship
and camera are both at the bottom of the black hole.  After
telling the animation program how many frames are to come between
each of the key frames, he instructs the computer to generate the
scene in wireframe.  In a few minutes, the machine has written a
stunning 80-frame sequence to the hard disk. In addition to moving
objects around, CHRONOS can perform several different types of
metamorphic animation.  A sphere could transmogrify into a mermaid
and back again, with CHRONOS computing the intervening objects. 
CHRONOS also uses a simple yet extremely powerful technique known
as "cycling."  To make a bird fly using cycling, the animator
would first sculpt several different versions of the same bird,
each with its wings in a different position.   Let's say it takes
twelve different models to smoothly show the wings flapping up and
down.  As before, the animator defines  a path for the bird to fly
along and sets key frames.  He also tells CHRONOS that the bird is
a cycled object; in each successive frame the next bird is used. 
When the twelfth bird is used, the cycle returns to the first bird
model.  Any number of objects  in a scene can be cycled, at
different rates, and each cycled  object could include another
cycled object (a bee buzzing around the bird's head, for
instance.) CHRONOS renders sequences in more mode s than CAD-3D:
wire-frame, wire-frame with depth-cue (distant  parts of the
object are rendered with darker lines), hidden face, solid face,
Gouraud (smooth) shaded and Phong shaded (smooth shading with
highlights.)

PRISM

While good-looking images can be produced with CHRONOS alone,
truly realistic animation requires the PRISM rendering package.
"Rendering", the process of actually computing how each pixel on
the screen will look for a given frame, is the most time-consuming
and crucial part of creating realistic-looking 3D animation.
Sophisticated rendering can turn a crude wireframe sphere into a
delicious-looking orange, complete with tiny bumps and "Sunkist"
label.  Lexicor's PRISM rendering program takes files created in
CHRONOS and renders them as realistically as possible.  Objects
can be made to look like chrome, glass, wood, and a variety of
other substances.  Light sources can be refined to behave like the
sun, room lamps, colored spotlights and so forth.  Even the
atmosphere in a scene can be made hazy.  PRISM will work in all of
the Atari's resolutions: 16 colors on an ST, 256 colors on a TT,
or 16,000,000 colors on any Atari equipped with a 24-bit
colorboard.

PRISM Paint

Since an animation sequence often requires tweaking after the
animation has been rendered, Lexicor has created PRISM Paint, a
full-featured painting program that can also be used for
frame-by-frame animation, much like Cyber Paint.  PRISM Paint can
also use the same hardware as PRISM Render for painting in
millions of colors. Renderman Though PRISM renders quite capably
on STs equipped with a 24-bit graphics card, Lexicor's software
can also export animation files in Pixar's RenderMan Interface
Byte stream (RIB) format.  The set ext-only files function for 3D
animation much as PostScript does in the 2D world; providing a
standardized way of describing a three-dimensional scene,
including light sources, object motion, and what materials the
objects are made of.  These files can be transferred to other PCs,
workstations, or even supercomputers running Pixar's rendering
software.   With Lexicor's hardware add-ons, it may not even be
necessary to go that far.

Hardware

To faithfully reproduce the many subtle variations in shade and
color seen in the real world, photo-realistic computer graphics
require a virtually unlimited number of colors on screen.  Neither
the ST's 4-bit (16-color) limit nor even the TT's 8-bit
(256-color) limit come close, so Lexicor is making a graphics card
that will allow the Atari to display 24-bit color (up to
16,000,000 colors simultaneously.)  PRISM Render and PRISM Paint
will be able to take advantage of the hardware immediately, and
since the card plugs into the computer's cartridge port, it can be
used with any ST or TT. Lexicor is also creating an image
capture/genlock board to output images to video tape.   Not only
will this board allow animation to be recorded on videotape, it
will also provide a means to bring an image from video into the
Atari for manipulation.  The board can output images in American
NTSC, European PAL, or RGB "stream" format, over scanned and with
sufficient simultaneous colors for realistic images.  With the
genlock feature, images can also be overlaid or "keyed" onto
existing video images. Like the 24-bit color board, the
genlock/image capture board also plugs into the cartridge port of
any Atari.  The video board includes an expansion port for future
products such as a single-frame controller for videotape decks.
Says Seiler, "We are setting new standards for Atari.  We're
setting new file format standards, new application standards and
we will  be putting the Atari user into  true photo-realistic
animation.  Our developers have created stuff for the Atari that
no one's ever seen, that you could never imagine possible."  What
possibilities can you imagine?  With enough imagination, next
year's Oscar could be waiting for you, inside that Atari on your
desktop.

LEXICOR SOFTWARE
58 Redwood Road
Fairfax, CA  94930
(514) 453-0271
